Generative Ai Agent

oci.generative_ai_agent.GenerativeAiAgentClient

OCI Generative AI Agents is a fully managed service that combines the power of large language models (LLMs) with an intelligent retrieval system to create contextually relevant answers by searching your knowledge base, making your AI applications smart and efficient.

oci.generative_ai_agent.GenerativeAiAgentClientCompositeOperations

This class provides a wrapper around GenerativeAiAgentClient and offers convenience methods for operations that would otherwise need to be chained together.

Models

oci.generative_ai_agent.models.Agent

An agent is an LLM-based autonomous system that understands and generates human-like text, enabling natural-language processing interactions.

oci.generative_ai_agent.models.AgentCollection

Results of an agent search.

oci.generative_ai_agent.models.AgentEndpoint

The endpoint to access a deployed agent.

oci.generative_ai_agent.models.AgentEndpointCollection

Results of an agentEndpoint search.

oci.generative_ai_agent.models.AgentEndpointSummary

Summary information about an endpoint.

oci.generative_ai_agent.models.AgentSummary

Summary information about an agent.

oci.generative_ai_agent.models.AgentToolConfig

The configuration for Agent as a Tool.

oci.generative_ai_agent.models.ApiSchemaInlineInputLocation

The details of inline input of Api schema.

oci.generative_ai_agent.models.ApiSchemaInputLocation

The input location definition for Api schema.

oci.generative_ai_agent.models.ApiSchemaObjectStorageInputLocation

The details of OCI Object Storage object location for Api schema.

oci.generative_ai_agent.models.BasicAuthSecret

The details of Basic authentication configured using a secret stored in a vault.

oci.generative_ai_agent.models.ChangeAgentCompartmentDetails

The configuration details for the move operation.

oci.generative_ai_agent.models.ChangeAgentEndpointCompartmentDetails

The configuration details for the move operation.

oci.generative_ai_agent.models.ChangeKnowledgeBaseCompartmentDetails

The configuration details for the move operation.

oci.generative_ai_agent.models.ChangeProvisionedCapacityCompartmentDetails

The configuration details for the move operation.

oci.generative_ai_agent.models.ContentModerationConfig

The configuration details about whether to apply the content moderation feature to input and output.

oci.generative_ai_agent.models.ContentModerationGuardrailConfig

The configuration details about whether to apply the content moderation feature to input and output.

oci.generative_ai_agent.models.CreateAgentDetails

The data to create an agent.

oci.generative_ai_agent.models.CreateAgentEndpointDetails

The data to create an endpoint.

oci.generative_ai_agent.models.CreateDataIngestionJobDetails

The data to create a data ingestion job.

oci.generative_ai_agent.models.CreateDataSourceDetails

The data to create a data source.

oci.generative_ai_agent.models.CreateKnowledgeBaseDetails

The data to create a knowledge base.

oci.generative_ai_agent.models.CreateProvisionedCapacityDetails

The data to create a provisioned capacity.

oci.generative_ai_agent.models.CreateToolDetails

The data to create a Tool.

oci.generative_ai_agent.models.CustomGenAiEndpointLlmSelection

Custom LLM selection with specific Gen AI Endpoint.

oci.generative_ai_agent.models.CustomGenAiModelLlmSelection

Custom LLM selection with specific Gen AI model.

oci.generative_ai_agent.models.DataIngestionJob

When you create a data source, you specify the location of the data files.

oci.generative_ai_agent.models.DataIngestionJobCollection

Results of a data ingestion job search.

oci.generative_ai_agent.models.DataIngestionJobStatistics

The statistics of data ingestion job.

oci.generative_ai_agent.models.DataIngestionJobSummary

Summary information about a data ingestion job.

oci.generative_ai_agent.models.DataIngestionJobType

DataIngestionJob type.

oci.generative_ai_agent.models.DataSource

A data source points to the source of your data.

oci.generative_ai_agent.models.DataSourceCollection

Results of a dataSource search.

oci.generative_ai_agent.models.DataSourceConfig

The details of data source.

oci.generative_ai_agent.models.DataSourceSummary

Summary information about a data source.

oci.generative_ai_agent.models.DatabaseConnection

The connection type for Databases.

oci.generative_ai_agent.models.DatabaseFunction

The details of Database function.

oci.generative_ai_agent.models.DatabaseToolConnection

The details of the customer Database Tools Connection.

oci.generative_ai_agent.models.DefaultIndexConfig

The default index is service managed vector store on behalf of the customer.

oci.generative_ai_agent.models.DefaultLlmSelection

Default LLM selection using system-provided models.

oci.generative_ai_agent.models.Function

Details of Function for Function calling tool.

oci.generative_ai_agent.models.FunctionCallingToolConfig

The configuration for Function calling Tool.

oci.generative_ai_agent.models.GuardrailConfig

The configuration details about whether to apply the guardrail checks to input and output.

oci.generative_ai_agent.models.HttpEndpointApiKeyAuthScopeConfig

Specifies authentication using an API key injected either as a header or query parameter.

oci.generative_ai_agent.models.HttpEndpointAuthConfig

Authentication configuration used for HTTP Endpoint tools.

oci.generative_ai_agent.models.HttpEndpointAuthScopeConfig

Subset of AuthScopeConfig allowed for HTTP Endpoint Tool.

oci.generative_ai_agent.models.HttpEndpointAuthSource

A credential source and configuration for a specific scope to HTTP Endpoint tools.

oci.generative_ai_agent.models.HttpEndpointBasicAuthScopeConfig

Specifies HTTP Basic Authentication using base64-encoded username:password credentials injected into the Authorization header.

oci.generative_ai_agent.models.HttpEndpointBearerAuthScopeConfig

Specifies authentication using a Bearer token, which is injected into the Authorization header at runtime.

oci.generative_ai_agent.models.HttpEndpointIdcsAuthScopeConfig

Specifies authentication using Oracle Identity Cloud Service (IDCS), leveraging OAuth 2.0 Client Credentials grant type.

oci.generative_ai_agent.models.HttpEndpointNoAuthScopeConfig

Specifies that no authentication is required, no credentials are resolved or injected during runtime.

oci.generative_ai_agent.models.HttpEndpointOciAuthScopeConfig

Specifies authentication for invoking OCI-protected services using Oracle IAM.

oci.generative_ai_agent.models.HttpEndpointToolConfig

The configuration for HTTP endpoint Tool.

oci.generative_ai_agent.models.HumanInputConfig

Human Input Configuration for an AgentEndpoint.

oci.generative_ai_agent.models.IdcsSecret

The details of IDCS configured as OpenID setting in OpenSearch.

oci.generative_ai_agent.models.Index

OCI OpenSearch index details.

oci.generative_ai_agent.models.IndexConfig

The index configuration of Knowledge bases.

oci.generative_ai_agent.models.IndexSchema

The index schema details.

oci.generative_ai_agent.models.InlineInputLocation

The details of inline input location.

oci.generative_ai_agent.models.InputLocation

The input location definition.

oci.generative_ai_agent.models.KnowledgeBase

A knowledge base is the base for all the data sources that an agent can use to retrieve information for its responses.

oci.generative_ai_agent.models.KnowledgeBaseCollection

Results of a knowledge base search.

oci.generative_ai_agent.models.KnowledgeBaseConfig

The KnowledgeBase configuration this RAG Tool uses.

oci.generative_ai_agent.models.KnowledgeBaseStatistics

Statistics for Default Knowledge Base.

oci.generative_ai_agent.models.KnowledgeBaseSummary

Summary information about a knowledge base.

oci.generative_ai_agent.models.LlmConfig

Configuration to Agent LLM.

oci.generative_ai_agent.models.LlmCustomization

Configuration to customize LLM.

oci.generative_ai_agent.models.LlmSelection

LLM selection configuration - either DEFAULT or CUSTOM.

oci.generative_ai_agent.models.ObjectStorageInputLocation

The details of OCI Object Storage object.

oci.generative_ai_agent.models.ObjectStoragePrefix

The details of OCI Object Storage object.

oci.generative_ai_agent.models.ObjectStoragePrefixOutputLocation

The config of object storage.

oci.generative_ai_agent.models.OciDatabaseConfig

The details of the customer Database Connection.

oci.generative_ai_agent.models.OciObjectStorageDataSourceConfig

The details of OCI Search with OpenSearch data source information.

oci.generative_ai_agent.models.OciOpenSearchIndexConfig

The details of customer managed OCI OpenSearch.

oci.generative_ai_agent.models.OutputConfig

Configuration to store results generated by agent.

oci.generative_ai_agent.models.OutputLocation

Location of the output.

oci.generative_ai_agent.models.PersonallyIdentifiableInformationGuardrailConfig

The configuration details for Personally Identifiable Information.

oci.generative_ai_agent.models.PlatformRuntimeConfig

Configuration for agent platform component.

oci.generative_ai_agent.models.PromptInjectionGuardrailConfig

The configuration details for Prompt Injection.

oci.generative_ai_agent.models.ProvisionedCapacity

A provisioned capacity is a resource pool of Genrative AI DACs with properties like AgentRuntimeVersion, unit size, and a tool name to DAC ID mapping.

oci.generative_ai_agent.models.ProvisionedCapacityCollection

Results of a provisioned capacity search.

oci.generative_ai_agent.models.ProvisionedCapacityConfig

The configuration includes the provisioned capacity id and component runtime (tool versions, and other relevant information).

oci.generative_ai_agent.models.ProvisionedCapacitySummary

Summary information about a provisioned capacity.

oci.generative_ai_agent.models.RagToolConfig

The configuration for RAG Tool.

oci.generative_ai_agent.models.SecretDetail

The details of configured security configuration on OpenSearch.

oci.generative_ai_agent.models.SessionConfig

Session Configuration on AgentEndpoint.

oci.generative_ai_agent.models.SqlToolConfig

The configuration for SQL Tool.

oci.generative_ai_agent.models.Tool

The description of Tool.

oci.generative_ai_agent.models.ToolCollection

Results of a Tool search.

oci.generative_ai_agent.models.ToolConfig

The configuration and type of Tool.

oci.generative_ai_agent.models.ToolRuntimeConfig

Configuration for the tool.

oci.generative_ai_agent.models.ToolSummary

Summary information of a Tool.

oci.generative_ai_agent.models.UpdateAgentDetails

The data to update an agent.

oci.generative_ai_agent.models.UpdateAgentEndpointDetails

The data to update an endpoint.

oci.generative_ai_agent.models.UpdateDataSourceDetails

The data to update a data source.

oci.generative_ai_agent.models.UpdateKnowledgeBaseDetails

The data to update a knowledge base.

oci.generative_ai_agent.models.UpdateProvisionedCapacityDetails

The data to update a provisioned capacity.

oci.generative_ai_agent.models.UpdateToolDetails

The data to update a Tool.

oci.generative_ai_agent.models.WorkRequest

An asynchronous work request.

oci.generative_ai_agent.models.WorkRequestError

An error encountered while performing an operation that is tracked by a work request.

oci.generative_ai_agent.models.WorkRequestErrorCollection

A list of work request errors.

oci.generative_ai_agent.models.WorkRequestLogEntry

A log message from performing an operation that is tracked by a work request.

oci.generative_ai_agent.models.WorkRequestLogEntryCollection

A list of work request logs.

oci.generative_ai_agent.models.WorkRequestResource

A resource created or operated on by a work request.

oci.generative_ai_agent.models.WorkRequestSummary

Summary information about an asynchronous work request.

oci.generative_ai_agent.models.WorkRequestSummaryCollection

A list of work requests.